Represents Window Style, in order to add more subclasses you can override content style

### Hierarchy

- AtomStyle
  - AtomWindowStyle
    - AtomAlertWindowStyle

### Implements

- IAtomStyle

## Index

### Constructors

- constructor

### Properties

- name
- styleSheet

### Accessors

- closeButton
- commandBar
- commandBarPresenter
- content
- contentPresenter
- frame
- frameHost
- root
- title
- titleHost
- titlePresenter

### Methods

- build
- getBaseProperty
- toString

## Constructors

### constructor

- new AtomWindowStyle(styleSheet: AtomStyleSheet, name: string): AtomWindowStyle

- Inherited from AtomStyle.constructor

  - Defined in src/web/styles/AtomStyle.ts:26

  #### Parameters

  - ##### styleSheet: AtomStyleSheet

  - ##### name: string

  #### Returns AtomWindowStyle

## Properties

### name

name: string

Implementation of IAtomStyle.name

Inherited from AtomStyle.name

- Defined in src/web/styles/AtomStyle.ts:30

### styleSheet

styleSheet: AtomStyleSheet

Inherited from AtomStyle.styleSheet

- Defined in src/web/styles/AtomStyle.ts:29

## Accessors

### closeButton

- get closeButton(): IStyleDeclaration

- - Defined in src/web/styles/AtomWindowStyle.ts:83

  #### Returns IStyleDeclaration

### commandBar

- get commandBar(): IStyleDeclaration

- - Defined in src/web/styles/AtomWindowStyle.ts:129

  #### Returns IStyleDeclaration

### commandBarPresenter

- get commandBarPresenter(): IStyleDeclaration

- - Defined in src/web/styles/AtomWindowStyle.ts:116

  #### Returns IStyleDeclaration

### content

- get content(): IStyleDeclaration

- - Defined in src/web/styles/AtomWindowStyle.ts:103

  #### Returns IStyleDeclaration

### contentPresenter

- get contentPresenter(): IStyleDeclaration

- - Defined in src/web/styles/AtomWindowStyle.ts:108

  #### Returns IStyleDeclaration

### frame

- get frame(): IStyleDeclaration

- - Defined in src/web/styles/AtomWindowStyle.ts:40

  #### Returns IStyleDeclaration

### frameHost

- get frameHost(): IStyleDeclaration

- - Defined in src/web/styles/AtomWindowStyle.ts:29

  #### Returns IStyleDeclaration

### root

- get root(): IStyleDeclaration

- Overrides AtomStyle.root

  - Defined in src/web/styles/AtomWindowStyle.ts:12

  #### Returns IStyleDeclaration

### title

- get title(): IStyleDeclaration

- - Defined in src/web/styles/AtomWindowStyle.ts:77

  #### Returns IStyleDeclaration

### titleHost

- get titleHost(): IStyleDeclaration

- - Defined in src/web/styles/AtomWindowStyle.ts:62

  #### Returns IStyleDeclaration

### titlePresenter

- get titlePresenter(): IStyleDeclaration

- - Defined in src/web/styles/AtomWindowStyle.ts:52

  #### Returns IStyleDeclaration

## Methods

### build

- build(): void

- Inherited from AtomStyle.build

  - Defined in src/web/styles/AtomStyle.ts:50

  #### Returns void

### getBaseProperty

- getBaseProperty<T>(tc: IClassOf<T>, name: keyof this): any

- Inherited from AtomStyle.getBaseProperty

  - Defined in src/web/styles/AtomStyle.ts:35

  #### Type parameters

  - #### T

  #### Parameters

  - ##### tc: IClassOf<T>

  - ##### name: keyof this

  #### Returns any

### toString

- toString(): string

- Inherited from AtomStyle.toString

  - Defined in src/web/styles/AtomStyle.ts:57

  #### Returns string

Generated using TypeDoc